local thisObj
function OnScriptLoaded(level, obj)
  thisObj = obj
  game.SubObject.Sleep(obj)
  game.SubObject.SetForgetOnCheckpoint(obj)
end
function OnStart()
  thisObj:PlayAnimationToFrame(1, {
    Animation = "envRunestoneVaultEnter"
  })
end
function Lift()
  GameObjects.spikeTrap_control.LuaObjectScript.OpenRoof()
  thisObj:PlayAnimationToEnd({
    Animation = "envRunestoneVaultEnter"
  })
  thisObj:OnAnimationDone(thisObj, "PlayChain")
end
function PlayChain()
  thisObj:PlayAnimationToEnd({
    Animation = "envRunestoneVaultRise"
  })
end
function PauseChain()
  thisObj:PauseAnim()
end
function Break()
  thisObj:PlayAnimationToEnd({
    Animation = "envRunestoneVaultBreak"
  })
end
